Subject: bug#32226: shadowfile test failures

From: Michael Albinus <[email-masked]>
Date: Sat, 21 Jul 2018 14:48:38 +0200

Eli Zaretskii <[email-masked]> writes:

> Hmm, I'm not sure I follow.  For the test purposes, you are actually
> shadowing the files to the current system, right?  If so, the location
> of the temporary directory is known, right?

I do both. I shadow the files to the local system ("/<system-name>:") and
to a remote system ("/method:host:/dir"). For the latter, I mock-up a
remote temporary directory. This is not possible on MS Windows, because
I use "/bin/sh" as connection program to that virtual remote host,
instead of "ssh" or alike.

So you shall declare a usable remote directory via that environment
variable for the MS WIndows case. If you could give me a recipe how to
setup a mock-up method for MS Windows - the better! It has always beaten
me, that the tests do not run out of the box.

The same mechanism is used for filenotify-tests.el and tramp-tests.el.

Best regards, Michael.